import {TestBed} from '@angular/core/testing';

import {CprSearchService} from './cpr-search.service';
import {HttpClientTestingModule} from '@angular/common/http/testing';
import {DataSourceService} from '../services/data-source.service';
import {of} from 'rxjs';
import {DataCardService} from 'facade-api';

describe('CprSearchService', () => {
  let service: CprSearchService;
  const dataSourceService = {
    dummyDataCards$: of([1, 2, 3]),
    isLoading$: of(false)
  };
  beforeEach(() => {
    TestBed.configureTestingModule({
      imports: [HttpClientTestingModule],
      providers: [
        {provide: DataSourceService, useValue: dataSourceService},
        {provide: DataCardService, useValue: {}}
      ]
    });
    service = TestBed.inject(CprSearchService);
    TestBed.inject(DataCardService);
  });

  it('should be created', () => {
    expect(service).toBeTruthy();
  });
});
