import {Component} from '@angular/core';
import {UserAuthorizationType, UserContextService} from '../services/user-context.service';

@Component({
  selector: 'app-role-selector',
  templateUrl: './role-selector.component.html',
  styleUrls: ['./role-selector.component.scss']
})
export class RoleSelectorComponent {

  constructor(public userContextService: UserContextService) { }

  select(role: UserAuthorizationType): void {
    this.userContextService.selectRole(role);
  }
}
