import { ComponentFixture, TestBed } from '@angular/core/testing';

import { DataCardComponent } from './data-card.component';
import {DataSourceService} from '../services/data-source.service';
import {of} from 'rxjs';

describe('DataCardComponent', () => {
  let component: DataCardComponent;
  let dataServiceSpy: jasmine.SpyObj<DataSourceService>;;
  let fixture: ComponentFixture<DataCardComponent>;

  beforeEach(async () => {
    const spy = {
      dummyDataCards$: of([1, 2, 3])
    };
    await TestBed.configureTestingModule({
      declarations: [ DataCardComponent ],
      providers: [
        {provide: DataSourceService, useValue: spy}
      ]
    })
    .compileComponents();

    dataServiceSpy = TestBed.inject(DataSourceService) as jasmine.SpyObj<DataSourceService>;
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(DataCardComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
