import {Component} from '@angular/core';
import {MeasurementMidwife, MeasurementService} from '../services/measurement.service';
import {Observable} from 'rxjs';

@Component({
  selector: 'app-measurements-midwife',
  templateUrl: './measurements-midwife.component.html',
  styleUrls: ['./measurements-midwife.component.scss']
})
export class MeasurementsMidwifeComponent {
  public measurements$: Observable<MeasurementMidwife[]> = this.service.midwifeMeasurements$;
    constructor(private service: MeasurementService) {
  }
}

