import { TestBed } from '@angular/core/testing';

import { DataSourceService } from './data-source.service';

import {CarePlanService, DataCardService} from 'facade-api';
import {of} from 'rxjs';
import {HttpClientTestingModule} from '@angular/common/http/testing';

describe('DataSourceService', () => {
  let service: DataSourceService;

  beforeEach(async () => {
    const spy = {
      dummyDataCards$: of([1, 2, 3])
    };
    await TestBed.configureTestingModule({
      imports: [HttpClientTestingModule],
      providers: [
        {provide: DataCardService, useValue: spy},
        {provide: CarePlanService, useValue: {}}
      ]
    }).compileComponents();
    service = TestBed.inject(DataSourceService);
  });

  it('should be created', () => {
    expect(service).toBeTruthy();
  });
});
